Download it now!
Bug 122263 - Bad resolution for icons in LO Draw
Summary: Bad resolution for icons in LO Draw
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-12-21 14:30 UTC by Vera Blagoveschenskaya
Modified: 2020-06-15 17:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
elementary-svg (121.42 KB, image/png)
2018-12-21 14:33 UTC, Vera Blagoveschenskaya
Details
122263-elementary (95.59 KB, image/png)
2019-02-08 06:17 UTC, Vera Blagoveschenskaya
Details
122263-breeze (88.97 KB, image/png)
2019-02-08 06:18 UTC, Vera Blagoveschenskaya
Details
Screenshot of "Drawing" toolbar with screen scaling set to 1.3 in KDE settings (85.05 KB, image/png)
2019-04-03 07:14 UTC, Michael Weghorn
Details
scaling_settings (34.83 KB, image/png)
2019-04-03 07:36 UTC, Vera Blagoveschenskaya
Details
new_scr (17.75 KB, image/png)
2019-04-03 07:42 UTC, Vera Blagoveschenskaya
Details
min_16 (21.33 KB, image/png)
2019-04-03 08:04 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-12-21 14:30:10 UTC
Description:
Bad resolution for icons in LO Draw 

Steps to Reproduce:
1. Start LO Draw with KDE5
2. Shape -> Insert

Actual Results:
Bad resolution for icons 
(see screenshot - for example, for elementary svg)

DO NOT reproduced if to start LO with GTK3

Expected Results:
Correct resolution


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested with

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-12-21 14:33:42 UTC
Created attachment 147752 [details]
elementary-svg
Comment 2 Roman Kuznetsov 2018-12-21 20:53:14 UTC
is there this effect only for SVG icon themes?
Comment 3 Vera Blagoveschenskaya 2018-12-22 12:15:34 UTC
(In reply to Roman Kuznetsov from comment #2)
> is there this effect only for SVG icon themes?

No, I tried not SVG and 2-3 different styles = bad resolution for all of them. 
I think it depends on size (for KDE5 icons are bigger in this place)
Comment 4 andreas_k 2018-12-28 23:23:22 UTC
Thanks for reporting this bug. I can say it's not an icon theme bug. It can be an HIDPI bug or an KDE backend bug
Comment 5 Xisco Faulí 2019-02-07 20:33:47 UTC
Hello Vera,
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 6 Vera Blagoveschenskaya 2019-02-08 06:17:08 UTC
Hello Xisco,
yes, bug is still reproduced,
please look at the screenshots below.

I use 
$ xdpyinfo | grep -iE '(resol|dimen)' 
  dimensions:    3840x1080 pixels (688x193 millimeters)
  resolution:    142x142 dots per inch

Version: 6.1.5.2
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded
Comment 7 Vera Blagoveschenskaya 2019-02-08 06:17:30 UTC
Created attachment 149006 [details]
122263-elementary
Comment 8 Vera Blagoveschenskaya 2019-02-08 06:18:02 UTC
Created attachment 149007 [details]
122263-breeze
Comment 9 Michael Weghorn 2019-03-30 20:41:24 UTC
Hi Vera, could you please do a quick check whether this still happens with the fix for bug 124292 applied?
Comment 10 Vera Blagoveschenskaya 2019-04-01 07:08:15 UTC
(In reply to Michael Weghorn from comment #9)
> Hi Vera, could you please do a quick check whether this still happens with
> the fix for bug 124292 applied?

Hello, Michael!

I've checked at the latest build

Version: 6.3.0.0.alpha0+
Build ID: 5e30823e8a25066aa7bbaa801583dbfa7db55a72
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-31_17:29:00
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Bad view is still reproduced.
Comment 11 Michael Weghorn 2019-04-03 07:14:22 UTC
Created attachment 150494 [details]
Screenshot of "Drawing" toolbar with screen scaling set to 1.3 in KDE settings

Thanks for retesting.

Do you have scaling enabled for your display(s), as described in bug 124292?

While trying further to reproduce this, I could come up with two issues:

1) If I set scaling to 1.3 and all Icon sizes to their maximum in "Tools" -> "Options" -> "View", I do see pixelated icons in the "Drawing" toolbar when using the "Breeze" icon set, s. attached screenshot. It looks OK when no scaling is applied or using "Breeze (SVG)".
The icons in the menu were still as small as before, and looking OK.

2) When increasing the icon size for "Small Icons" in Plasma System settings ("Icons" -> "Configure Icon Sizes" -> "Small Icons") from their minimum value (default in my case) to 48 (maximum), I get large, pixelated icons in the menu. This happens without scaling set for the displays.

It seems like 2) was the issue that you also have. Can you confirm that and that it looks OK if you decrease icon size in Plasma system settings?

My version is:

Version: 6.3.0.0.alpha0+
Build ID: bac831c8f5fb5c50ddddfb2458498fb9564c127a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 12 Vera Blagoveschenskaya 2019-04-03 07:36:45 UTC
Created attachment 150495 [details]
scaling_settings

(In reply to Michael Weghorn from comment #11)
> Do you have scaling enabled for your display(s), as described in bug 124292?

I use default settings w/o scaling
Comment 13 Vera Blagoveschenskaya 2019-04-03 07:42:33 UTC
Created attachment 150496 [details]
new_scr

Breeze (defaut) theme
Comment 14 Vera Blagoveschenskaya 2019-04-03 08:04:15 UTC
Created attachment 150497 [details]
min_16

Please pay attention:
if to set minimal icon size to 16 (default is 22), all icons looks ok
Comment 15 Michael Weghorn 2019-04-03 08:21:21 UTC
(In reply to Vera Blagoveschenskaya from comment #14)
> Please pay attention:
> if to set minimal icon size to 16 (default is 22), all icons looks ok

Setting to confirmed then, s. case 2 in comment 11.